<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExpirationDate StructType
 * Meta information extracted from the WSDL
 * - documentation: Date in ISO 8601 format (yyyy-mm-dd). Example: 2001-12-25
 * @subpackage Structs
 */
class ExpirationDate extends AbstractStructBase
{
    /**
     * The _
     * @var string
     */
    public $_;
    /**
     * The Time
     * Meta information extracted from the WSDL
     * - documentation: Time in ISO 8601 format (hh:mm). Example: 14:30
     * @var string
     */
    public $Time;
    /**
     * Constructor method for ExpirationDate
     * @uses ExpirationDate::set_()
     * @uses ExpirationDate::setTime()
     * @param string $_
     * @param string $time
     */
    public function __construct($_ = null, $time = null)
    {
        $this
            ->set_($_)
            ->setTime($time);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \StructType\ExpirationDate
     */
    public function set_($_ = null)
    {
        // validation for constraint: string
        if (!is_null($_) && !is_string($_)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($_, true), gettype($_)), __LINE__);
        }
        $this->_ = $_;
        return $this;
    }
    /**
     * Get Time value
     * @return string|null
     */
    public function getTime()
    {
        return $this->Time;
    }
    /**
     * Set Time value
     * @param string $time
     * @return \StructType\ExpirationDate
     */
    public function setTime($time = null)
    {
        // validation for constraint: string
        if (!is_null($time) && !is_string($time)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($time, true), gettype($time)), __LINE__);
        }
        $this->Time = $time;
        return $this;
    }
}
